Subject: Re: C-130A
From: "Steve Bamford" <[email-masked]>
To: "David Horn" <[email-masked]>
Date: Thu, 23 May 2002 13:11:54 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: David Horn 
  To: ARC Steve Bamford 
  Sent: Tuesday, April 30, 2002 9:20 PM
  Subject: C-130A

  The C-130A was the primary aircraft used in "Blind Bat" operations which flew flare drop missions over Vietnam from 1964 to 1970. The aircraft depicted here is 56-477 and was shot down on May 22nd 1968 with all eight crew members on board killed. My father was a navigator on these flare missions and to continue his legacy, this kit will be given away at a Blind Bat reunion in Biloxi MS on May 10th 2002.

  The kit is the 1/72 scale Italeri C-130H with Ozmod's C-130A conversion. In addition to the conversion, a custom flare rack was custom made from photographs delivered by blind bat crew members. These photographs and stories also helped in making the aircraft as authentic as possible to what 56-477 looked like in 1968. All of the markings are custom except for the national insignia. I am disappointed in the accuracy on the three bladed propellers from Ozmods. The blades I received are the same shape and length as the current four blade propellers and they have an unusual twist to them as well. The tip tanks are accurate as far as I can tell and the extra windows are a real nice touch. Maybe I will come out with a correct three blade conversion kit in the near future.

  Picture:
  C-130A-flare rack
  This view shows the custom flare rack installed on the cargo ramp.

  56-477-fwd
  The crew door has the aircraft number 56-477 on the steps and the different squadrons painted the inside of the door a unique color.

  David Horn II